Skip to content
Go to Micro

Send a test event

POST/v2/webhooks/{teamId}/{webhookId}/ping

Fire-and-forget test delivery through the async dispatcher. The webhook must be enabled and verified.

Path ParametersExpand Collapse
teamId: optional string
formatuuid
webhookId: string
formatuuid
Body ParametersJSONExpand Collapse
data: optional map[unknown]

Arbitrary JSON payload body.

event: optional string

Event name to send.

ReturnsExpand Collapse
dispatched: boolean
event: string
webhook_id: string
formatuuid

Send a test event

curl https://developers.micro.so/v2/webhooks/$TEAM_ID/$WEBHOOK_ID/ping \
    -X POST \
    -H "x-api-key: $MICRO_API_KEY"
{
  "dispatched": true,
  "event": "event",
  "webhook_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
Returns Examples
{
  "dispatched": true,
  "event": "event",
  "webhook_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}